
import cv2

import matplotlib.pyplot as plt
import matplotlib.image as mpimg


#
#
image = cv2.imread('map_entry_copy_obstacles.pgm',0)
#invert = cv2.bitwise_not(image)
for i in range(len(image)):
    for j in range(len(image[i])):
        if(image[i][j]!=0):
            image[i][j]=1
cv2.imwrite('map-ciary-stred.pgm', image)

img=mpimg.imread('map-ciary-stred.pgm')
img2=mpimg.imread('dilation_for_ROADS_robot.pgm')

plt.figure(1)
plt.subplot(121).set_title('Mriežka obsadenosti so stredovými čiarami pred aplikáciou dilatácie')
plt.imshow(img, cmap='gray',extent=[0,19,0,124])
plt.xlabel("Súradnica x [m]")
plt.ylabel("Súradnica y [m]")
plt.ylim(70,110)


plt.figure(1)
plt.subplot(122).set_title('Mriežka obsadenosti so stredovými čiarami po aplikácii dilatácie')
plt.imshow(img2, cmap='gray',extent=[0,19,0,124])
plt.xlabel("Súradnica x [m]")
plt.ylabel("Súradnica y [m]")
plt.ylim(70,110)

plt.show()
